Subject: RE: [ACL] Reviewing the ACL Spec - IsPrincipal

From: "Eric Sedlar" <[email-masked]>
Date: Wed, 2 May 2001 14:55:51 -0700

We had many discussions about whether or not to try to stick
<IsPrincipal> in dav:resourcetype.  The consensus of the working
group was that dav:resourcetype is too simple to extend nicely.

The other issue other than the WebFolders bug you are alluding to
is that there isn't really a type system in WebDAV.  What you want
is to define all of the abstract interfaces that a resource
supports.  The Java version of this might be:

<Group.java>

public class Group extends ietf.webdav.Resource
		 	 implements  ietf.webdav.Principal,
					 ietf.webdav.Versioned,
					 ietv.webdav.Collection
{
}

Since we are reexamining RFC2518 at the same time we are releasing
versioning & ACLs, maybe we should address this?  I think this is
a general problem.  DeltaV addresses the "what interfaces do you
support" question by looking for particular properties, which is also
kind of hokey.

Whaddaya think, Jim W?

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On Behalf Of
> Yaron Goland
> Sent: Wednesday, May 02, 2001 1:35 PM
> To: webdav ACL Group
> Subject: [ACL] Reviewing the ACL Spec - IsPrincipal
>
>
> IsPrincipal really confused me. I couldn't understand why it would be
> necessary given that we have the resource type property and RFC 2518 very
> clearly specifies that values such as "is a resource a principal"
> should be
> listed in resource type.
>
> I achieved a better understanding of the situation when it was pointed out
> to me that a corporation, who shall remain nameless, has a bug in
> its WebDAV
> clients. The bug is that if the client retrieves a resource type and the
> property contains any value at all then the client assumes the
> resource is a
> collection.
>
> The IETF does not set its standards based on bugs in
> implementer's products.
> As such IsPrincipal should be immediately removed and replaced, in
> accordance with RFC 2518, with a value in the resource type property.
>
>
>
>
> _______________________________________________
> acl mailing list
> [email-masked]
> http://mailman.webdav.org/mailman/listinfo/acl
>